! Compile command for gfortran, to test backtrace:
! gfortran -g -O0 -fbacktrace -ffpe-trap=zero btest.f90

implicit none
real x, y, z

print *, 'Start program.'
x = 3.0
y = 0.0

print *, 'Divide by zero.'
z = x / y

print *, 'Print result.'
print *, '  Result "z" = ', z

print *, 'Normal end.'
end
